.home-container {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}
/* 배너 */
.banner-swiper-wrap {
  width: 100%;
  padding: 4px 0 20px;
}
.swiper {
  width: 100%;
  height: auto;
}
.banner-swiper {
  border-radius: var(--spacing-12);
}
.swiper-wrapper {
}

.swiper-slide {
  position: relative;
  align-items: center;
  justify-content: center;
  border: 1px solid var(--gray-100);
  overflow: hidden;
  background: #444;
  background-color: 0;
  text-align: center;
  border-radius: var(--spacing-12);
}
/* 이미지 위 그라데이션 */
.swiper-slide::before {
  content: "";
  position: absolute;
  z-index: 1;
  background: linear-gradient(
    50deg,
    rgba(0, 20, 3, 0.8) 0%,
    rgba(0, 20, 3, 0) 70%
  );
  inset: 0;
  mix-blend-mode: multiply;
}

.swiper-slide img {
  width: 100%;
  height: 120px;
  display: block;
  border-radius: var(--spacing-12);
  object-fit: cover;
}
.banner-title {
  position: absolute;
  bottom: 25px;
  left: 25px;
  z-index: 2;
  font-size: var(--font-sm);
  font-weight: 500;
  line-height: 1.2;
  color: #fff;
  text-align: left;
}

.swiper-pagination {
  position: absolute;
  bottom: 0px;
}

.btn-text {
  position: relative;
  padding: 14px 20px 20px 20px;
}

.record-mood-container {
  position: relative;
  display: flex;
  gap: 8px;
  padding-bottom: 20px;
  border-bottom: 1px solid var(--gray-200);
}
.mood-archive-btn {
  position: relative;
  width: 100%;

  height: 198px;
  flex: 1;
  border: 1px solid var(--gray-300);
  overflow: hidden;
  /* background: linear-gradient(-180deg, #ffffff, #fff9cd, #fff6ae); */
  background-color: #2cd586;

  border-radius: var(--spacing-12);
}
.mood-archive-text {
  position: relative;
}
.mood-archive-text .sub-title {
  position: relative;
  font-size: 14px;
  color: var(--gray-900);
}
.mood-record-btn {
  position: relative;
  width: 100%;
  height: 198px;
  flex: 1;
  border: 1px solid var(--gray-300);
  overflow: hidden;
  /* background: linear-gradient(-180deg, #ffffff, #d3ffc8, #beffae); */
  background-color: #30aacf;
  border-radius: var(--spacing-12);
}

.mood-record-btn .sub-title {
  position: relative;
  font-size: 14px;
  color: var(--gray-900);
}
.mood-archive-text .title {
  font-weight: 900;
}
.mood-archive-text .title,
.sub-title {
  z-index: 3;
}
.mood-record-text {
  width: 100%;
  height: 100%;

  position: relative;
  z-index: 5;
}
.mood-record-text .title {
  z-index: 3;
}
.mood-record-text .sub-title {
  z-index: 3;
}
.mood-record-img {
  width: 100%;
  height: 100%;
  position: relative;
}
.mood-record-img img {
}
.mood-record-img .peace {
  width: 40%;
  height: auto;
  position: absolute;
  top: 10%;
  z-index: 2;
  display: none;
}
.mood-record-img .happy {
  width: 40%;
  height: auto;
  position: absolute;
  right: -20%;
  top: -11%;
  z-index: 2;
}
.mood-record-img .mood-character {
  width: 80%;
  height: auto;
  position: absolute;
  right: -10%;
  top: 19%;
  z-index: 2;
}
.mood-record-img .cloud {
  transform: scaleX(-1);

  width: 100%;
  height: auto;
  position: absolute;
  right: -50%;
  bottom: 10%;
  z-index: -1;
}
.mood-record-img .left-cloud {
  width: 70%;
  height: auto;
  position: absolute;
  right: 70%;
  top: 40%;
  z-index: -1;
}

.card-container {
  position: absolute;
  bottom: -60%;
  left: 80%;
  width: 82px; /* 이미지 실제 크기에 맞춰 조절 */
  height: 108px;
  margin: 50 auto;
}

.card {
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: 2;

  width: 100%;
  box-shadow: 0 5px 10px 0px rgba(0, 0, 0, 0.1);
  overflow: hidden;

  /* 애니메이션 설정: 0.8초 동안, 약간의 튕김 효과(cubic-bezier) */
  animation: spreadOut 0.8s cubic-bezier(0.175, 0.885, 0.32, 1.275) forwards;
  border-radius: var(--spacing-8);
  transform-origin: bottom right;

  /* 초기 상태: 모두 겹쳐 있음 */
  transform: rotate(0deg);
  opacity: 0;
}

/* 카드별 순서 및 애니메이션 지연 시간(Delay) */
.card1 {
  z-index: 3;
  animation-delay: 0.1s;
}
.card2 {
  z-index: 2;
  animation-delay: 0.3s; /* card1 이후에 펼쳐짐 */
}
.card3 {
  z-index: 1;
  animation-delay: 0.5s; /* 가장 마지막에 펼쳐짐 */
}

/* 펼쳐지는 애니메이션 정의 */
@keyframes spreadOut {
  0% {
    opacity: 0;
    transform: rotate(0deg);
  }
  100% {
    opacity: 1;
    /* 각 카드가 멈출 최종 위치 */
  }
}

/* card2와 card3의 최종 위치(각도) 지정 */
.card2 {
  animation-name: spreadOut2;
}
.card3 {
  animation-name: spreadOut3;
}
.card1 {
  animation-name: fadeIn; /* 기준 카드는 회전 없이 나타나기만 함 */
}

@keyframes spreadOut2 {
  0% {
    opacity: 0;
    transform: rotate(0deg);
  }
  100% {
    opacity: 1;
    transform: rotate(-15deg) translateX(-15px);
  }
}

@keyframes spreadOut3 {
  0% {
    opacity: 0;
    transform: rotate(0deg);
  }
  100% {
    opacity: 1;
    transform: rotate(-30deg) translateX(-30px);
  }
}

@keyframes fadeIn {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.mood-record {
  width: 100%;
  height: 198px;
  flex: 1;
  border: 1px solid var(--gray-100);
  background-color: #fff;
  border-radius: var(--spacing-12);
}

.recommend-place-container {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
  padding: 12px 0 20px 0;
  border-bottom: 1px solid var(--gray-200);
}
.place-title-top {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.place-title-top .title {
}
.place-title-top .sub-title {
}
.place-title-top .fa-angle-right {
  width: 24px;
  height: 24px;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: var(--green-400);
  font-size: 20px;
  color: var(--white);
  border-radius: 50%;
}
.place-title-botom {
  padding-bottom: 12px;
}
.place-preview {
  padding: 12px;
  border-radius: var(--spacing-12);
  overflow: hidden;
  border: 1px solid var(--gray-300);
  background-color: var(--white);
}

.mood-comunity-container {
  width: 100%;
  display: flex;
  justify-content: flex-start;
  flex-direction: column;
  padding: 12px 0 20px 0;
}

.mood-comunity {
  display: flex;
  gap: 8px;
}
.mood-comunity-card {
  width: 100%;
  display: flex;
  flex-direction: column;
  padding: 12px;
  border: 1px solid var(--gray-300);
  border-radius: var(--spacing-12);
}
.comunity-top {
  display: flex;
  gap: 12px;
  align-items: center;
  padding-bottom: 16px;
}
.comunity-profile {
  width: 45px;
  height: 45px;
  background-color: #a4a4a4;
  border-radius: 100%;
  overflow: hidden;
  background-color: var(--green-400);
  border: 1px solid var(--gray-200);
}
.comunity-profile .comunity-img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}
.profile-info {
  display: flex;
  flex-direction: column;
  gap: 4px;
  font-size: var(--font-xs);
}
.profile-info .profile-name,
.profile-info .profile-time {
  line-height: 1.2;
  font-size: 14px;
}
.profile-info .profile-time {
  color: var(--gray-400);
}

.mood-comunity-card .comunity-bottom {
}
.comunity-bottom .comunity-text {
  line-height: 1.2;
  font-size: 14px;
}

.home-recommend-place {
  padding-bottom: 16px;
}
.recommend-place-card {
  display: flex;
  gap: 24px;
  padding: 8px 12px;
  overflow: hidden;
  border-radius: var(--spacing-12);
}
.recommend-place-card .place-left {
  width: 50%;
  display: flex;
  flex: 1;
  border: 1px solid var(--gray-200);
  overflow: hidden;
  border-radius: var(--spacing-12);
  aspect-ratio: 16/9;
}
.recommend-place-card .place-left img {
  width: 100%;
  object-fit: cover;
}
.recommend-place-card .place-right {
  display: flex;
  flex: 1;
  flex-direction: column;
}

/* 반응형 */
@media screen and (min-width: 768px) {
  .container {
    padding: 0 24px;
  }
  .swiper-slide img {
    width: 100%;
    height: 220px;
    display: block;
    border-radius: var(--spacing-12);
    object-fit: cover;
  }
  .card-container {
    position: relative;
    bottom: 50px;
    left: 250px;
    width: calc(82px * 1.5); /* 이미지 실제 크기에 맞춰 조절 */
    height: calc(108px * 1.5);
    margin: 50 auto;
  }
  .record-mood-container {
    position: relative;
    width: 100%;
    display: flex;
    gap: 8px;
  }
  .mood-archive-btn {
    position: relative;
    width: 100%;
    height: 198px;
    flex: 1;
    border: 1px solid var(--gray-300);
    overflow: hidden;
    background-color: #2cd586;
    border-radius: var(--spacing-12);
  }
}

@media screen and (min-width: 1024px) {
  .container {
    max-width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0 40px;
  }
  .card-container {
    position: relative;
    bottom: 75px;
    left: 300px;
    width: 154px;
    height: 206px;
    margin: 50 auto;
  }

  .banner-swiper-wrap {
    width: 100%;
    padding: 20px 0;
  }

  .swiper {
    width: 100%;
    height: auto;
  }

  .swiper-slide {
    position: relative;
    display: block;
    border: 1px solid var(--gray-100);
    overflow: hidden;
    background: transparent;
    border-radius: var(--spacing-12);
  }

  .swiper-slide img {
    width: 100%;
    height: 320px;
    display: block;
    object-fit: cover;
    border-radius: var(--spacing-12);
  }
  .record-mood-container {
    position: relative;
    width: 100%;
    display: flex;
    gap: 8px;
  }
  .mood-record-btn {
    width: 100%;
    height: 198px;
    flex: 1;
    border: 1px solid var(--gray-300);
    overflow: hidden;
    background-color: #30aacf;
    border-radius: var(--spacing-12);
  }

  .mood-record-img {
    width: 100%;
    height: 100%;
    position: relative;
  }
  .mood-record-img img {
  }
  /* .mood-record-img .peace {
    width: 24%;
    height: auto;
    position: absolute;
    left: 0%;
    top: 10%;
    display: block;
    z-index: 2;
  } */
  .mood-record-img .happy {
    width: 24%;
    height: auto;
    position: absolute;
    right: -10%;
    top: -70%;
    z-index: 2;
  }
  .mood-record-img .mood-character {
    width: 55%;
    height: auto;
    position: absolute;
    right: -10%;
    top: -12%;
    z-index: 2;
  }
  .mood-record-img .cloud {
    transform: scaleX(-1);

    width: 60%;
    height: auto;
    position: absolute;
    right: -30%;
    top: -80%;
    z-index: -1;
  }
  .mood-record-img .left-cloud {
    width: 60%;
    height: auto;
    position: absolute;
    right: 60%;
    top: 20%;
    z-index: -1;
  }
}
